### Constructor

# Camel VTrashFolder new

#### Declaration [src]

    CamelFolder*
    camel_vtrash_folder_new (
      CamelStore* parent_store,
      CamelVTrashFolderType type
    )

#### Description [src]

Create a new CamelVTrashFolder object.

#### Parameters

`parent_store`

  Type: `CamelStore`

  The parent `CamelVeeStore` object.

  The data is owned by the caller of the function.

`type`

  Type: `CamelVTrashFolderType`

  Type of vfolder, #CAMEL_VTRASH_FOLDER_TRASH or

  # CAMEL_VTRASH_FOLDER_JUNK currently.

#### Return value

Type: `CamelFolder`

A new `CamelVTrashFolder` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.